kali linux 安装搜狗输入法

kali linux安装好之后,如果选的只中文,会看到中文界面,但输入法还是英文输入法,linux中文输入法里面,搜狗算是很好用的了,安装过程踩了好多坑,记录一下。

一 安装准备

1.1 更新源

先把源更新一下,注意,不同的源软件版本不一样,比如163的源,版本比较低,我通过163的源安装fcitx后安装搜狗的时候提示版本太低。所以建议在sources.list中多写几个。

安装方法
终端中输入:

leafpad /etc/apt/sources.list

在打开的文件中输入下面的源,保存退出

#kali官方源

deb http://http.kali.org/kali kali-rolling main non-free contrib

#中科大的源

deb http://mirrors.ustc.edu.cn/kali kali-rolling main non-free contrib

deb http://mirrors.ustc.edu.cn/kali kali-rolling main contrib non-free

deb-src http://mirrors.ustc.edu.cn/kali kali-rolling main contrib non-free

deb http://mirrors.ustc.edu.cn/kali-security kali-current/updates main contrib non-free

deb-src http://mirrors.ustc.edu.cn/kali-security kali-current/updates main contrib non-free

#阿里云源

deb http://mirrors.aliyun.com/kali sana main non-free contrib

deb http://mirrors.aliyun.com/kali-security/ sana/updates main contrib non-free

deb-src http://mirrors.aliyun.com/kali-security/ sana/updates main contrib non-free

#
deb http://ppa.launchpad.net/hzwhuang/ss-qt5/ubuntu xenial main

更新源配置好之后,更新

> apt-get update

1.2 安装fcitx

apt-get install fcitx

顺利的话会自动安装成功,如果遇到依赖错误,按提示修复或者输入apt-get -f install 修复,但是如果提示“依赖xxx,但是xxx将不会被安装”,这一般是源太旧,建议换个其他的源。

1.3 安装fcitx-libs-qt

apt-get install fcitx-libs-qt

安装搜狗的时候也提示依赖这个,所以也安装下。

二 安装搜狗输入法

2.1 下载对应版本deb

去搜狗输入法官网http://pinyin.sogou.com/linux/ 下载自己系统对应版本的输入法安装包。

2.2 安装搜狗输入法

cd ~/下载/   #也可以文件浏览器在定位到下载目录,右击选择在终端中打开
dpkg -i 下载的sogo安装包文件名

这一步比较慢,如果提示有依赖没有安装,可以用apt-get --fix-broken install 安装,如果提示“sogoupinyin依赖xxx(>=1.2.3…),但系统中版本为1.1.1”之类的,说明源太旧了,需要换个其他源。可以用apt-get remove [package-name] 卸载旧版软件。要查看制定软件可用版本(本机的源上)可以用apt-cache madison [package-name] 查看,要安装制定版本的软件,可以用apt-get install fcitx=1.2.3 这样的语法安装。

2.3 启用搜狗输入法

终端中输入:

im-config

进入输入法配置,选择确定,然后点击是,在弹出来的输入法选择框中选择fcitx,然后确定 。
注销账号,重新登录,然后右上角有个键盘图标,点击选择【设置】,在左下角点击【+】新增输入法
在弹出窗口中取消“仅显示当前预览”复选框,然后搜索Sogou,找到搜狗输入法,点击OK

打开编辑器,“Ctrl+,”即可切换到搜狗输入法

2.4 在sublime中启用搜狗输入法

上面操作后,已经可以在浏览器,终端,leafpad中使用中文输入了,但是在sublime中依旧不可以,可以参考这篇文章:http://www.jianshu.com/p/bf05fb3a4709,里面列出了三种方法,推荐第一种 ,安装sublime-text-imfix后重启就可以了,很简单方便。第一种不行在试试别的。

阅读更多
换一批

没有更多推荐了,返回首页